package vip.xiaonuo.coldchain.core.event;

import lombok.Getter;
import lombok.Setter;
import org.springframework.context.ApplicationEvent;
import vip.xiaonuo.coldchain.core.alarm.bean.SensorAlarm;

import java.time.Clock;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/11/25 16:55:56
 */
@Getter
@Setter
public class SensorAlarmEvent extends ApplicationEvent {
    private SensorAlarm sensorAlarm;

    public SensorAlarmEvent(Object source, SensorAlarm sensorAlarm) {
        super(source);
        this.sensorAlarm = sensorAlarm;
    }

    public SensorAlarmEvent(Object source, Clock clock, SensorAlarm sensorAlarm) {
        super(source, clock);
        this.sensorAlarm = sensorAlarm;
    }
}
